I am accessing Story issue using REST API but getting response as
"{"errorMessages":["Issue does not exist or you do not have permission to see it."],"errors":{}}"
I have tried with different permissions for user "admin" but still getting the same error.
Can you please suggest?
Base URL - https://mylearning.atlassian.net
REST API URL = https://mylearning.atlassian.net/rest/api/2/issue/Story
Hi Raghavendra,
I took a look at your query and you may want to try adding the actual key to the end. I have a story with the key TES-2. To get a valid response I would need to run the following:
curl -D- -u "myUN:myPW" -X GET -H "Content-Type: application/json" https://myInstance.atlassian.net/rest/api/2/issue/TES-2
Try adding the actual issue key to the end where it says Story and see if you get different results. Additionally, if you want to get all the issues of type Story you can try the following:
curl -D- -u "myUN:myPW" -X GET -H "Content-Type: application/json" https://myInstance.atlassian.net/rest/api/2/search?jql=issuetype=Story
I hope this helps!
Branden
What are you inputting as the Story key in the URL? Are you actually putting in the word "Story" or some issue key, like ABC-123?
You should be using an issue key. Here's an example with ABC-123 as the issue key:
https://mylearning.atlassian.net/rest/api/2/issue/ABC-123
Other than that, make sure you have the Browse Project permission for the project you're trying to access.
It looks like you're new here. Sign in or register to get started.